// wmsoapauthsvc.idl : IDL source for wmsoapauthsvc
//

// This file will be processed by the MIDL tool to
// produce the type library (wmsoapauthsvc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(3758E728-9E9D-461A-B9B1-B61E6D286865),
	dual,
	nonextensible,
	helpstring("Iwmsoapauth2 Interface"),
	pointer_default(unique)
]
interface Iwmsoapauth2 : IDispatch{
	[id(1), helpstring("method OnProcessHeader")] HRESULT OnProcessHeader([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method OnTestMUHeaderBlock")] HRESULT OnTestMUHeaderBlock([in] BSTR bstrNamespace, [in] BSTR bstrLocalName, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(FEF71A07-DAE1-45F9-9213-0B7A1D75C8E2),
	version(1.0),
	helpstring("wmsoapauthsvc 1.0 Type Library")
]
library wmsoapauthsvcLib
{
	importlib("stdole2.tlb");
	[
		uuid(08D0DD0D-47C6-4C27-BA99-448A982A065A),
		helpstring("wmsoapauth2 Class")
	]
	coclass wmsoapauth2
	{
		[default] interface Iwmsoapauth2;
	};
};
